Bug 575605 - (nikto) nikto 2.1.1 is available
nikto 2.1.1 is available
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nikto (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
http://cirt.net/nikto2
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-21 14:24 EDT by Michal Ambroz
Modified: 2010-08-13 17:18 EDT (History)
5 users (show)

See Also:
Fixed In Version: nikto-2.1.1-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-13 17:16:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Ambroz 2010-03-21 14:24:33 EDT
This package is actually already in Fedora repository in verison 2.03-2.
This is only update to version 2.1.1.

SPEC URL: http://rebus.webz.cz/d/nikto.spec
SRPM URL: http://rebus.webz.cz/d/nikto-2.1.1-1.fc12.src.rpm

Nikto is a web server scanner which performs comprehensive tests against web
servers for multiple items, including over 3300 potentially dangerous
files/CGIs, versions on over 625 servers, and version specific problems
on over 230 servers. Scan items and plugins are frequently updated and
can be automatically updated (if desired).


Please note there is issue with the versioning scheme which was changed by the upstream in this version. Nikto 2 stream was sofar versioned 2.01, 2.02, 2.03, this version is 2.1.1. New version number is numerically smaller than the last release in the old versioning scheme. 

Please would you have some hints what is the best way to address this issue?

Thank you for review.

Best regards
Michal Ambroz
Comment 1 Chen Lei 2010-03-21 15:11:14 EDT
Notes:
Review Request is used for new packages or orphaned packages only.
Comment 2 Michal Ambroz 2010-03-21 18:14:32 EDT
SPEC URL: http://rebus.webz.cz/d/nikto.spec
SRPM URL: http://rebus.webz.cz/d/nikto-2.1.1-2.fc12.src.rpm

Hello,
to avoid the versioning issues I have incremented the Epoch 
as suggested by Bruno Wolff III <bruno@wolff.to> in the packaging list.
Thanks Bruno for the hint

Michal Ambroz
Comment 3 Fedora Update System 2010-03-22 06:43:18 EDT
nikto-2.1.1-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/nikto-2.1.1-2.fc13
Comment 4 Fedora Update System 2010-03-22 06:44:22 EDT
nikto-2.1.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/nikto-2.1.1-2.fc12
Comment 5 Fedora Update System 2010-03-23 19:31:42 EDT
nikto-2.1.1-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nikto'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/nikto-2.1.1-2.fc12
Comment 6 Fedora Update System 2010-03-23 19:35:16 EDT
nikto-2.1.1-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nikto'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/nikto-2.1.1-2.fc13
Comment 7 Fedora Update System 2010-08-13 17:16:49 EDT
nikto-2.1.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-08-13 17:17:59 EDT
nikto-2.1.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.